# *****************************************************************************
#  Description : Makefile to build iPlayer plugins.
#  Auteur      : Marc Simonetti
# *****************************************************************************

ifdef BASE
CDIR=$(BASE)
else
CDIR=$(PWD)
endif

LIBDIR=$(CDIR)/../lib
BINDIR=$(CDIR)/../Plugins
INCLUDEDIR=$(CDIR)/../inc


SUBDIRS=Cleaner                         \
        Clock                           \
        Flash                           \
        Fluxvideo                       \
        Forecast                        \
        Freebox                         \
        HttpProxy                       \
        Images                          \
        Omegaprobe                      \
        Orientation                     \
        LEDScreens                      \
        LowResolution                   \
        NecDisplay                      \
        Panasonic                       \
        Presentation                    \
        Pdf                             \
        Powerctrl                       \
        RemoteFile                      \
        RSS                             \
        Screenctrl                      \
        Scroll                          \
        Temperature                     \
        Videos                          \
        Webbrowser                      \
        Webpages                        \
        Xeyes

MYMAKEFLAGS= 'LIBDIR=$(LIBDIR)'         \
             'INCLUDEDIR=$(INCLUDEDIR)' \
             'BINDIR=$(BINDIR)'         \
             'CONFDIR=$(CONFDIR)'       \
             'VERSION=$(VERSION)'


# Recursive make
all:
	@for i in $(SUBDIRS); do \
	echo "==================== $$i =====================";  \
	if (cd $$i; $(MAKE) $(MYMAKEFLAGS) all); then           \
	  :;                                                    \
	else                                                    \
	  r=1;                                                  \
	  false;                                                \
	  exit;                                                 \
	fi;                                                     \
    done;
	@echo "==============================================";
	@echo "Done."

install:
	@for i in $(SUBDIRS); do \
	echo "==================== $$i ====================="; \
	(cd $$i; $(MAKE) $(MYMAKEFLAGS) install); done

clean:
	@for i in $(SUBDIRS); do \
	echo "==================== $$i ====================="; \
    (cd $$i; $(MAKE) $(MYMAKEFLAGS) clean); done
